%define module_version 0.11
%define module_name Cog
# BEGIN SourceDeps(oneline):
BuildRequires: perl(Capture/Tiny.pm) perl(Convert/Base32/Crockford.pm) perl(Exporter.pm) perl(ExtUtils/MakeMaker.pm) perl(File/Basename.pm) perl(File/Copy.pm) perl(File/ShareDir.pm) perl(File/ShareDir/Install.pm) perl(IO/All.pm) perl(IPC/Run.pm) perl(JSON.pm) perl(Jemplate.pm) perl(Mo.pm) perl(Plack.pm) perl(Plack/Builder.pm) perl(Plack/Middleware/Cache.pm) perl(Plack/Middleware/ETag.pm) perl(Plack/Middleware/Header.pm) perl(Plack/Middleware/ProxyMap.pm) perl(Plack/Runner.pm) perl(Pod/Simple/HTML.pm) perl(Template/Toolkit/Simple.pm) perl(Test/More.pm) perl(Test/Pod.pm) perl(XXX.pm) perl(YAML/XS.pm) perl(base.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.11
Release: alt1
Summary: The Cog Information Application Framework
Group: Development/Perl
License: perl
URL: https://github.com/ingydotnet/cog-pm

Source0: http://cpan.org.ua/authors/id/I/IN/INGY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Cog lets you turn any directory on your computer into an interactive
application, like a website or a wiki.

This module installs a command line utility called `cog'. This command
can be used to create and update your application.

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %{?epoch:%epoch:}%name = %version-%release

%description scripts
scripts for %module_name


%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build INSTALLMAN1DIR=%_man1dir

%install
%perl_vendor_install

%files
%doc Changes README LICENSE
%perl_vendor_privlib/C*
%perl_vendor_privlib/auto/*
%files scripts
%_bindir/*

%changelog
* Wed Oct 14 2015 Igor Vlasenko <viy@altlinux.ru> 0.11-alt1
- regenerated from template by package builder

* Thu Apr 02 2015 Igor Vlasenko <viy@altlinux.ru> 0.08-alt1
- regenerated from template by package builder

* Mon Oct 14 2013 Igor Vlasenko <viy@altlinux.ru> 0.07-alt1
- initial import by package builder

